package net.wanji.web.service;

import net.wanji.feign.pojo.result.JsonViewObject;
import net.wanji.web.dto.CrossIdDTO;
import net.wanji.web.dto.CrossIdAndPhaseIdDTO;
import net.wanji.web.dto.ScheduleIdDTO;
import net.wanji.web.dto.SchemeIdDTO;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:14
 */
public interface SchemeSendService {
    JsonViewObject scheduleSend(ScheduleIdDTO scheduleIdDTO);

    JsonViewObject schemeSend(SchemeIdDTO schemeIdDTO);

    JsonViewObject nextStep(CrossIdDTO crossIdDTO);

    JsonViewObject lockPhase(CrossIdAndPhaseIdDTO crossIdAndPhaseIdDTO);

    JsonViewObject allRedControl(CrossIdDTO crossIdDTO);

    JsonViewObject yellowLightControl(CrossIdDTO crossIdDTO);

    JsonViewObject restore(CrossIdAndPhaseIdDTO crossIdAndPhaseIdDTO);

    JsonViewObject syncScheme(CrossIdDTO crossIdDTO);
}
